Bug 203033 - kernel errors: /proc/interrupts & irqbalance
kernel errors: /proc/interrupts & irqbalance
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 17:38 EDT by Jack
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 16:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jack 2006-08-17 17:38:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.0.3705)

Description of problem:
The virtual file /proc/interrupts seemed to have no inode reference.  ls -l on /proc reported the interrupts file, but no permissions or related information.  ls -l /proc/interrupts hung the ls process.

The inode issue for /proc/interrupts caused irqbalance and klogd to overwhelm the CPU (using over 90% for each process) and fill the logs.

To correct the issue, I did the following:

1) stop klogd / syslogd
2) free /var disk space
3) stop selinux (was set to enforced)

Immediately afterward, the /proc/interrupts inode returned and the system began working correctly again.

Version-Release number of selected component (if applicable):
Using standard RHEL4U1 distribution

How reproducible:
Didn't try


Steps to Reproduce:
Sorry, but this is a production environment, I don't want to reproduce this problem.


Actual Results:


Expected Results:


Additional info:
Comment 1 Jason Baron 2006-08-18 11:11:40 EDT
ok, well if this happens again hopefully we can get more to go on. The 'ls -l'
that hung, could you please run as: 'strace ls -l'. Then when that hangs, do
alt-sysrq-t, so we can see where it is stuck. Thanks.
Comment 2 Jay Fenlason 2007-10-01 16:43:18 EDT
There has been no reply in over a year, so I'm closing this.  If you have the 
needed data, please attach it to this bug and reopen it.

Note You need to log in before you can comment on or make changes to this bug.